diff --git a/FAQ b/FAQ
index b2ddfc5..cf4a093 100644
--- a/FAQ
+++ b/FAQ
@@ -1,18 +1,19 @@
 Q: I'm trying to build xmlto, but it doesn't work.
 
-A: If you get `Attempt to load network entity' errors when building
-   xmlto, your system does not have the required support for XML
-   Catalogs
-   (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
-	 Try to reinstall your docbook(xhtml1) dtds or fix your catalogs
-   manually. Verbose mode might help to analyze a problem.
+A: If you get `Attempt to load network entity` errors when building
+xmlto, your system does not have the required support for XML
+Catalogs (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
+Try to reinstall your docbook(xhtml1) dtds or fix your catalogs
+manually. Verbose mode might help to analyze a problem.
 
 Q: How can I check out the latest sources of XMLTO?
 
 A: Original sources are under svn revision control on fedorahosted.org
-   server. If you want to check out the latest version, use command
+server. If you want to check out the latest version, use command
 
-              svn co http://svn.fedorahosted.org/svn/xmlto
+```bash
+svn co http://svn.fedorahosted.org/svn/xmlto
+```
 
-   Autotools helper scripts are not under revision control, so please
-   run `automake --add-missing` to make these files available.
+Autotools helper scripts are not under revision control, so please
+run `automake --add-missing` to make these files available.
diff --git a/INSTALL b/INSTALL
index 98e9dcf..05ce621 100644
--- a/INSTALL
+++ b/INSTALL
@@ -1,209 +1,210 @@
-Basic Installation
-==================
+# Basic Installation
 
-   These are generic installation instructions, with a few additional
+These are generic installation instructions, with a few additional
 notes for installing on non-Linux systems.
 
-   The `configure' shell script attempts to guess correct values for
-various system-dependent variables used during compilation.  It uses
-those values to create a `Makefile' in each directory of the package.
+The `configure` shell script attempts to guess correct values for
+various system-dependent variables used during compilation. It uses
+those values to create a `Makefile` in each directory of the package.
 It may also create one or more `.h' files containing system-dependent
-definitions.  Finally, it creates a shell script `config.status' that
-you can run in the future to recreate the current configuration, a file
-`config.cache' that saves the results of its tests to speed up
-reconfiguring, and a file `config.log' containing compiler output
-(useful mainly for debugging `configure').
-
-   If you need to do unusual things to compile the package, please try
-to figure out how `configure' could check whether to do them, and mail
-diffs or instructions to the address given in the `README' so they can
-be considered for the next release.  If at some point `config.cache'
+definitions. Finally, it creates a shell script `config.status`that
+you can run in the future to recreate the current configuration, a file 
+`config.cache`that saves the results of its tests to speed up reconfiguring,
+and a file `config.log` containing compiler output
+(useful mainly for debugging`configure').
+
+If you need to do unusual things to compile the package, please try
+to figure out how `configure` could check whether to do them, and mail
+diffs or instructions to the address given in the `README` so they can
+be considered for the next release. If at some point `config.cache`
 contains results you don't want to keep, you may remove or edit it.
 
-   The file `configure.in' is used to create `configure' by a program
-called `autoconf'.  You only need `configure.in' if you want to change
-it or regenerate `configure' using a newer version of `autoconf'.
+The file `configure.ac` is used to create `configure` by a program
+called `autoconf`. You only need `configure.ac` if you want to change
+it or regenerate `configure` using a newer version of `autoconf`.
 
 The simplest way to compile this package is:
 
-  1. `cd' to the directory containing the package's source code and type
-     `./configure' to configure the package for your system.  If you're
-     using `csh' on an old version of System V, you might need to type
-     `sh ./configure' instead to prevent `csh' from trying to execute
-     `configure' itself.
+1. `cd` to the directory containing the package's source code and
+   type `flex -o xmlif/xmlif.c xmlif/xmlif.l` to update the `xmlif`
+   file for instructions for XML conditionalization
+2. `./configure` to configure the package for your system. If you're
+   using `csh` on an old version of System V, you might need to type
+   `sh ./configure` instead to prevent `csh` from trying to execute
+   `configure` itself.
 
-     Running `configure' takes awhile.  While running, it prints some
-     messages telling which features it is checking for.
+   Running `configure` takes awhile. While running, it prints some
+   messages telling which features it is checking for.
 
-  2. Type `make' to compile the package.
+3. Type `make` to compile the package.
 
-  3. Optionally, type `make check' to run any self-tests that come with
-     the package.
+4. Optionally, type `make check` to run any self-tests that come with
+   the package.
 
-  4. Type `make install' to install the programs and any data files and
-     documentation.
+5. Type `make install` to install the programs and any data files and
+   documentation.
 
-  5. You can remove the program binaries and object files from the
-     source code directory by typing `make clean'.  To also remove the
-     files that `configure' created (so you can compile the package for
-     a different kind of computer), type `make distclean'.  There is
-     also a `make maintainer-clean' target, but that is intended mainly
-     for the package's developers.  If you use it, you may have to get
-     all sorts of other programs in order to regenerate files that came
-     with the distribution.
+6. You can remove the program binaries and object files from the
+   source code directory by typing `make clean`. To also remove the
+   files that `configure` created (so you can compile the package for
+   a different kind of computer), type `make distclean`. There is
+   also a `make maintainer-clean` target, but that is intended mainly
+   for the package's developers. If you use it, you may have to get
+   all sorts of other programs in order to regenerate files that came
+   with the distribution.
 
-Compilers and Options
-=====================
+# Compilers and Options
 
-   Some systems require unusual options for compilation or linking that
-the `configure' script does not know about.  You can give `configure'
-initial values for variables by setting them in the environment.  Using
+Some systems require unusual options for compilation or linking that
+the `configure` script does not know about. You can give `configure`
+initial values for variables by setting them in the environment. Using
 a Bourne-compatible shell, you can do that on the command line like
 this:
-     CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure
+
+```bash
+CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure
+```
 
 Or on systems that have the `env' program, you can do it like this:
-     env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure
 
-Compiling For Multiple Architectures
-====================================
+```bash
+env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure
+```
+
+# Compiling For Multiple Architectures
 
-   You can compile the package for more than one kind of computer at the
+You can compile the package for more than one kind of computer at the
 same time, by placing the object files for each architecture in their
-own directory.  To do this, you must use a version of `make' that
-supports the `VPATH' variable, such as GNU `make'.  `cd' to the
+own directory. To do this, you must use a version of `make` that
+supports the `VPATH` variable, such as GNU `make`. `cd` to the
 directory where you want the object files and executables to go and run
-the `configure' script.  `configure' automatically checks for the
-source code in the directory that `configure' is in and in `..'.
+the `configure` script. `configure` automatically checks for the
+source code in the directory that `configure` is in and in `..`.
 
-   If you have to use a `make' that does not supports the `VPATH'
+If you have to use a `make` that does not supports the `VPATH`
 variable, you have to compile the package for one architecture at a time
-in the source code directory.  After you have installed the package for
+in the source code directory. After you have installed the package for
 one architecture, use `make distclean' before reconfiguring for another
 architecture.
 
-Installation Names
-==================
+# Installation Names
 
-   By default, `make install' will install the package's files in
-`/usr/local/bin', `/usr/local/man', etc.  You can specify an
-installation prefix other than `/usr/local' by giving `configure' the
-option `--prefix=PATH'.
+By default, `make install` will install the package's files in
+`/usr/local/bin`, `/usr/local/man`, etc. You can specify an
+installation prefix other than `/usr/local`by giving `configure` the
+option `--prefix=PATH`.
 
-   You can specify separate installation prefixes for
-architecture-specific files and architecture-independent files.  If you
-give `configure' the option `--exec-prefix=PATH', the package will use
+You can specify separate installation prefixes for
+architecture-specific files and architecture-independent files. If you
+give `configure` the option `--exec-prefix=PATH`, the package will use
 PATH as the prefix for installing programs and libraries.
 Documentation and other data files will still use the regular prefix.
 
-   In addition, if you use an unusual directory layout you can give
-options like `--bindir=PATH' to specify different values for particular
-kinds of files.  Run `configure --help' for a list of the directories
+In addition, if you use an unusual directory layout you can give
+options like `--bindir=PATH` to specify different values for particular
+kinds of files. Run `configure --help` for a list of the directories
 you can set and what kinds of files go in them.
 
-   If the package supports it, you can cause programs to be installed
-with an extra prefix or suffix on their names by giving `configure' the
-option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
+If the package supports it, you can cause programs to be installed
+with an extra prefix or suffix on their names by giving `configure` the
+option `--program-prefix=PREFIX` or `--program-suffix=SUFFIX`.
 
-Optional Features
-=================
+# Optional Features
 
-   Some packages pay attention to `--enable-FEATURE' options to
+Some packages pay attention to `--enable-FEATURE` options to
 `configure', where FEATURE indicates an optional part of the package.
-They may also pay attention to `--with-PACKAGE' options, where PACKAGE
-is something like `gnu-as' or `x' (for the X Window System).  The
-`README' should mention any `--enable-' and `--with-' options that the
+They may also pay attention to `--with-PACKAGE`options, where PACKAGE
+is something like`gnu-as' or `x` (for the X Window System). The
+`README' should mention any `--enable-`and`--with-` options that the
 package recognizes.
 
-   For packages that use the X Window System, `configure' can usually
+For packages that use the X Window System, `configure` can usually
 find the X include and library files automatically, but if it doesn't,
-you can use the `configure' options `--x-includes=DIR' and
-`--x-libraries=DIR' to specify their locations.
+you can use the `configure` options `--x-includes=DIR` and
+`--x-libraries=DIR` to specify their locations.
 
-Specifying the System Type
-==========================
+# Specifying the System Type
 
-   There may be some features `configure' can not figure out
+There may be some features `configure` can not figure out
 automatically, but needs to determine by the type of host the package
-will run on.  Usually `configure' can figure that out, but if it prints
+will run on. Usually `configure` can figure that out, but if it prints
 a message saying it can not guess the host type, give it the
-`--host=TYPE' option.  TYPE can either be a short name for the system
-type, such as `sun4', or a canonical name with three fields:
-     CPU-COMPANY-SYSTEM
+`--host=TYPE` option. TYPE can either be a short name for the system
+type, such as `sun4`, or a canonical name with three fields:
+CPU-COMPANY-SYSTEM
 
-See the file `config.sub' for the possible values of each field.  If
-`config.sub' isn't included in this package, then this package doesn't
+See the file `config.sub` for the possible values of each field. If
+`config.sub` isn't included in this package, then this package doesn't
 need to know the host type.
 
-   If you are building compiler tools for cross-compiling, you can also
-use the `--target=TYPE' option to select the type of system they will
-produce code for and the `--build=TYPE' option to select the type of
+If you are building compiler tools for cross-compiling, you can also
+use the `--target=TYPE` option to select the type of system they will
+produce code for and the `--build=TYPE` option to select the type of
 system on which you are compiling the package.
 
-Sharing Defaults
-================
+# Sharing Defaults
 
-   If you want to set default values for `configure' scripts to share,
-you can create a site shell script called `config.site' that gives
-default values for variables like `CC', `cache_file', and `prefix'.
-`configure' looks for `PREFIX/share/config.site' if it exists, then
-`PREFIX/etc/config.site' if it exists.  Or, you can set the
-`CONFIG_SITE' environment variable to the location of the site script.
-A warning: not all `configure' scripts look for a site script.
+If you want to set default values for `configure` scripts to share,
+you can create a site shell script called `config.site` that gives
+default values for variables like `CC`, `cache_file`, and `prefix`.
+`configure` looks for `PREFIX/share/config.site` if it exists, then
+`PREFIX/etc/config.site` if it exists. Or, you can set the`CONFIG_SITE`
+environment variable to the location of the site script.
+A warning: not all `configure` scripts look for a site script.
 
-Operation Controls
-==================
+# Operation Controls
 
-   `configure' recognizes the following options to control how it
+`configure` recognizes the following options to control how it
 operates.
 
-`--cache-file=FILE'
-     Use and save the results of the tests in FILE instead of
-     `./config.cache'.  Set FILE to `/dev/null' to disable caching, for
-     debugging `configure'.
+`--cache-file=FILE`
+Use and save the results of the tests in FILE instead of
+`./config.cache`. Set FILE to `/dev/null` to disable caching, for
+debugging `configure'.
 
-`--help'
-     Print a summary of the options to `configure', and exit.
+`--help`
+Print a summary of the options to `configure`, and exit.
 
-`--quiet'
-`--silent'
-`-q'
-     Do not print messages saying which checks are being made.  To
-     suppress all normal output, redirect it to `/dev/null' (any error
-     messages will still be shown).
+`--quiet`
+`--silent`
+`-q`
+Do not print messages saying which checks are being made. To
+suppress all normal output, redirect it to `/dev/null` (any error
+messages will still be shown).
 
-`--srcdir=DIR'
-     Look for the package's source code in directory DIR.  Usually
-     `configure' can determine that directory automatically.
+`--srcdir=DIR`
+Look for the package's source code in directory DIR. Usually
+`configure` can determine that directory automatically.
 
-`--version'
-     Print the version of Autoconf used to generate the `configure'
-     script, and exit.
+`--version`
+Print the version of Autoconf used to generate the `configure`
+script, and exit.
 
-`configure' also accepts some other, not widely useful, options.
+`configure` also accepts some other, not widely useful, options.
 
-Portability Notes
-=================
+# Portability Notes
 
-   To run xmlto on a non-Linux system you will need some supporting
-software.  For Solaris at least, you will need GNU bash, GNU find,
-mktemp, and getopt.  The first two are GNU packages and can be obtained
+To run xmlto on a non-Linux system you will need some supporting
+software. For Solaris at least, you will need GNU bash, GNU find,
+mktemp, and getopt. The first two are GNU packages and can be obtained
 from <http://www.gnu.org/>.
 
-   For getopt, visit <http://huizen.dds.nl/~frodol/getopt.html>.  For
+For getopt, visit <http://huizen.dds.nl/~frodol/getopt.html>. For
 Solaris, the following will need changing:
-               LIBCGETOPT=0
-               WITH_GETTEXT=0
-               INSTALL=ginstall
 
-   For mktemp, visit <http://www.mktemp.org/>.  For Solaris, stripping
-the binary will cause it to core dump on startup.  If you experience this
+```bash
+LIBCGETOPT=0
+WITH_GETTEXT=0
+INSTALL=ginstall
+```
+
+For mktemp, visit <http://www.mktemp.org/>. For Solaris, stripping
+the binary will cause it to core dump on startup. If you experience this
 problem remove the -s from the installation command line.
 
-Build Problems
-==============
+# Build Problems
 
-   If you get `Attempt to load network entity' errors when building
+If you get `Attempt to load network entity` errors when building
 xmlto, your system does not have the required support for XML Catalogs
 (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
 In particular, Debian has no support for these.
diff --git a/NEWS b/NEWS
index 884bd41..f425eab 100644
--- a/NEWS
+++ b/NEWS
@@ -1,34 +1,45 @@
-Xmlto news
-----------
-0.0.28 (stable)
+# XMLTO News
+
+- 0.0.29 (stable)
+
+  - Rename variable BASH to XMLTO_BASH_PATH (#8)
+  - Fix warnings in the build
+  - Regenerate xmlif to use new version of gcc
+  - Rename and format markdown files
+  - Convert output path to unix on cygwin/msys
+
+- 0.0.28 (stable)
+
   - fix broken temp files removal (introduced in 0.0.27)
   - links detection changed to elinks (new links options
     not compatible)
 
+- 0.0.27 (stable)
 
-0.0.27 (stable)
   - remove several bashisms from scripts
-  - add new option --profile for preprocessing documents
+  - add new option `--profile` for preprocessing documents
     with profiling stylesheet
   - fix several potential crashes in xmlif (found by static
     analysis)
 
+- 0.0.26 (stable)
 
-0.0.26 (stable)
-  - --searchpath option no longer produces warning
+  - `--searchpath` option no longer produces warning
     about local builtin used outside the function
     (debian #652974)
   - fix build with automake 1.13+
   - fix noextensions option recognition
   - handle used css list in epub format
 
-0.0.25 (stable)
+- 0.0.25 (stable)
+
   - prevent possible collisions in manpage generation
-  - fix broken fop/fop1 extensions
+  - fix broken `fop/fop1` extensions
   - fix handling of external data objects with fop
     (debian #568894)
 
-0.0.24 (stable)
+- 0.0.24 (stable)
+
   - README file was improved to provide better guidance
     for users
   - show the text-web-browser converting command in
@@ -40,137 +51,141 @@ Xmlto news
   - basic experimental support for conversion from docbook
     to epub
 
-0.0.23 (stable)
+- 0.0.23 (stable)
+
   - add support for detection of tail and gnu cp, do
-    not hardcode /bin/bash initial value
+    not hardcode `/bin/bash` initial value
   - use those detected binaries instead of previously
     hardcoded ones
   - use `type -t` bash shell builtin instead of `which`
     utility for detection of file availability
-  - new option --noautosize to prevent overriding of
+  - new option `--noautosize` to prevent overriding of
     user-defined paper sizes
 
-0.0.22 (stable)
+- 0.0.22 (stable)
+
   - added experimental support for xhtml1 source format
-  (output formats are awt, dvi, fo, mif, pcl,  pdf, ps,
-  svg, txt)
+    (output formats are awt, dvi, fo, mif, pcl, pdf, ps,
+    svg, txt)
   - create tex and xhtml subpackage in spec file to reduce
-  requirements for main package
+    requirements for main package
   - automated detection of programs path in configure,
-  program/utility path could be passed to configure by
-  variable, allowed selection of default backend and
-  default webbrowser (just for requirements at the moment)
+    program/utility path could be passed to configure by
+    variable, allowed selection of default backend and
+    default webbrowser (just for requirements at the moment)
   - check for missing tools/programs, fail if tool is not
-  available
+    available
   - fixed libpaper cleaning up(debian #491390)
   - xmllint validity check now with noent option(debian
     #516253)
-  - fixed --stringparam option
+  - fixed `--stringparam` option
   - added some messages to easier detection of troubles,
-  used different error codes for various situations(see
-  docs)
+    used different error codes for various situations(see
+    docs)
   - fixed FSF addresses, xmlif now licensed under GPLv2+
-  (was GPL+, various indentation fixes, fixed documentation
-  compilation warnings
+    (was GPL+, various indentation fixes, fixed documentation
+    compilation warnings)
+
+- 0.0.21 (stable)
 
-0.0.21 (stable)
-  - added experimental support for dblatex(needs installed
-  dblatex package)
-  - fixed issue with cp -a option on non-gnu systems
-  non-mandatory support for libpaper
+  - added experimental support for dblatex (needs installed
+    dblatex package)
+  - fixed issue with `cp -a` option on non-gnu systems
+    non-mandatory support for libpaper
+
+- 0.0.20 (stable)
 
-0.0.20 (stable)
   - added experimental fop support(needs installed fop package)
-  possibility to read a stylesheet from STDIN
+    possibility to read a stylesheet from STDIN
   - some small fixes/changes in docbook formats and xmlto script
 
-0.0.19 (stable)
-	added supported for basename with spaces, stringparam
-  option for passing argument to stylesheet, bash no
-  longer hardcoded, added option for not cleaning temp
-  files for diagnostics.
+- 0.0.19 (stable)
+
+  - added supported for basename with spaces
+  - stringparam option for passing argument to stylesheet
+  - bash no longer hardcoded
+  - added option for not cleaning temp files for diagnostics
 
-0.0.18 (stable)
+- 0.0.18 (stable)
 
-	A portability problem was fixed, and the xmlif syntax was
-	modified.
+  - A portability problem was fixed, and the xmlif syntax was modified.
 
-0.0.17 (stable)
+- 0.0.17 (stable)
 
-	The exit code when validation fails was fixed. w3m is used for
-	text output.
+  - The exit code when validation fails was fixed. w3m is used for text output.
 
-0.0.16 (stable)
+- 0.0.16 (stable)
 
-	Minor bug-fixes.
+  - Minor bug-fixes.
 
-0.0.15 (stable)
+- 0.0.15 (stable)
 
-	Some format script fixes.
+  - Some format script fixes.
 
-0.0.14 (stable)
+- 0.0.14 (stable)
 
-	The db2man fixes are no longer needed.
+  - The db2man fixes are no longer needed.
 
-0.0.13 (stable)
+- 0.0.13 (stable)
 
-	Several minor bugs were fixed.
+  - Several minor bugs were fixed.
 
-0.0.12 (stable)
+- 0.0.12 (stable)
 
-	Validation is now working, and output encoding is determined
-	from the environment.
+  - Validation is now working, and output encoding is
+    determined from the environment.
 
-0.0.11 (stable)
+- 0.0.11 (stable)
 
-	The db2man stylesheet is no longer shipped, since it now comes
-	with docbook-xsl.  A new tool, xmlif, is included.  Several bugs
-	were fixed.
+  - The db2man stylesheet is no longer shipped,
+    since it now comes with docbook-xsl.
+  - A new tool, xmlif, is included.
+  - Several bugs were fixed.
 
-0.0.10 (stable)
+- 0.0.10 (stable)
 
-	A small bug was fixed in the PS and DVI format scripts, and the
-	db2man code has been synchronised to CVS.
+  - A small bug was fixed in the PS and DVI format scripts,
+    and the db2man code has been synchronised to CVS.
 
-0.0.9 (stable)
+- 0.0.9 (stable)
 
-	There were some further improvements made to db2man.
+  - There were some further improvements made to db2man.
 
-0.0.8 (stable)
+- 0.0.8 (stable)
 
-	There were assorted fixes, and some further db2man improvements.
+  - There were assorted fixes, and some further db2man improvements.
 
-0.0.7 (stable)
+- 0.0.7 (stable)
 
-	Some portability fixes were made and there were some more db2man
-	improvements.
+  - Some portability fixes were made and
+    there were some more db2man improvements.
 
-0.0.6 (stable)
+- 0.0.6 (stable)
 
-	Some db2man improvements were made, some minor script bugs
-	were fixed, and automatic paper size handling was added.
+  - Some db2man improvements were made, some minor script bugs
+    were fixed, and automatic paper size handling was added.
 
-0.0.5 (stable)
+- 0.0.5 (stable)
 
-	Some db2man bugs were fixed.
+  - Some db2man bugs were fixed.
 
-0.0.4 (stable)
+- 0.0.4 (stable)
 
-	The option handling was improved.
+  - The option handling was improved.
 
-0.0.3 (stable)
+- 0.0.3 (stable)
 
-	The db2man stylesheet was further improved.
+  - The db2man stylesheet was further improved.
 
-0.0.2 (stable)
+- 0.0.2 (stable)
 
-	More format scripts were added, and the db2man stylesheet was
-	further improved.
+  - More format scripts were added, and the db2man stylesheet was
+    further improved.
 
-0.0.1 (stable)
+- 0.0.1 (stable)
 
-	Made the format script interface definition a bit clearer.
+  - Made the format script interface definition a bit clearer.
 
-0.0.0 (stable)
+- 0.0.0 (stable)
 
-	Initial release.
+  - Initial release.
diff --git a/README b/README
index 1007292..c3bcc83 100644
--- a/README
+++ b/README
@@ -1,44 +1,37 @@
-=== xmlto ===
+# xmlto
 
-Utility xmlto is a simple shell script for converting XML files to various
-formats. It serves as easy to use command line frontend to make fine output
-without remembering many long options and searching for the syntax of the
-backends.
+Utility `xmlto` is a simple shell script for converting XML files to various formats.
+It serves as an easy-to-use command-line frontend to make fine output without
+remembering many long options and searching for the syntax of the backends.
 
-At the moment it supports conersion from docbook, xhtml1 and fo format to
-various output formats(awt, fo, htmlhelp, javahelp, mif, pdf, svg, xhtml,
-dvi, html, html-nochunks, man , pcl, ps, txt, xhtml-nochunks) 
+Currently, it supports conversion from `docbook`, `xhtml1`, and `fo` format to
+various output formats (`awt`, `fo`, `htmlhelp`, `javahelp`, `mif`, `pdf`, `svg`,
+`xhtml`, `dvi`, `html`, `html-nochunks`, `man`, `pcl`, `ps`, `txt`, `xhtml-nochunks`).
+Some output formats may be unavailable if you don't have all prerequisites installed,
+as xmlto uses backends (`xsltproc`, `passivetex/fop/dblatex`) for processing.
 
-Some output formats may be unavailable if you use don't have all prerequisities
-installed, as xmlto uses backends (xsltproc, passivetex/fop/dblatex) 
-for processing.
+You could check and generate the offline version of documentation with xmlto from
+`doc/xmlif.xml` sources. However, if you received the xmlif as a part of the distribution,
+you should already have the `xmlif(1)` manpage on your machine.
 
-You could check the documentation online at 
-  https://fedorahosted.org/xmlto/wiki/xmlto
+If you received xmlto as a part of the distribution, you should already have
+the `xmlto(1)` manpage on your machine.
 
-(or generate the offline version with xmlto from doc/xmlto.xml sources).
+# xmlif
 
-If you received xmlto as a part of distribution, you should already have
-xmlto(1) manpage on your machine.
+`xmlif` utility filters XML according to conditionalizing markup. This can be useful
+for formatting one of several versions of an XML document depending on conditions
+passed to the command.
 
-=== xmlif ===
+You could check and generate the offline version of documentation with xmlto from
+`doc/xmlif.xml` sources. However, if you received xmlif as a part of distribution,
+you should already have `xmlif(1)` manpage on your machine.
 
-xmlif utility filters XML according to conditionalizing markup. This can be
-useful for formatting one of several versions of a XML document depending
-on conditions passed to the command.
+# How to contact authors
 
-You could check the documentation online at 
-  https://fedorahosted.org/xmlto/wiki/xmlif
+Since xmlto 0.19, xmlto is maintained by Ondřej Vašík (`ovasik@redhat.com`) and
+since 0.29 co-maintained by Ondřej Sloup (`osloup@redhat.com`).
 
-(or generate the offline version with xmlto from doc/xmlif.xml sources ).
-
-If you received xmlif as a part of distribution, you should already have
-xmlif(1) manpage on your machine.
-
-=== How to contact authors ===
-
-Since xmlto 0.19, xmlto is maintained by Ondřej Vašík <ovasik@redhat.com>.
-
-You can contact me directly via email or leave a ticket on project's trac
-instance at https://fedorahosted.org/xmlto/newticket .
-Registered fedoraproject.org account is required for this.
+You can contact me directly via email or leave a ticket on the project's Pagure
+instance at [https://pagure.io/xmlto/new_issue](https://pagure.io/xmlto/new_issue).
+A registered fedoraproject.org account is required for this.
